"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceNgOnInit = exports.NG_ON_INIT = void 0;
exports.NG_ON_INIT = 'ngOnInit';
function replaceNgOnInit(proto, fn) {
    var target = proto.constructor;
    var onInitName = exports.NG_ON_INIT;
    var origNgOnInit = proto[onInitName];
    if (!origNgOnInit) {
        throw new Error('ngOnInit() should exist on the component, otherwise the decorator will not work with the AOT compiler!!');
    }
    proto[onInitName] = function () {
        fn.call(this);
        origNgOnInit.call(this);
    };
}
exports.replaceNgOnInit = replaceNgOnInit;
